> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/copy-trading/get-unrealized-profit-sharing-details/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Unrealized profit sharing GET https://www.okx.com/api/v5/copytrading/unrealized-profit-sharing-details The leading trader gets the profit sharing details that are expected to be shared in the next settlement cycle. The unrealized profit sharing details will update once there copy position is closed. Reference: https://okx-demo.ferndocs.com/api/api-reference/copy-trading/get-unrealized-profit-sharing-details ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Query parameters - `instType` (enum, optional) — Instrument type `SPOT` `SWAP` It returns all types by default. - Allowed values: `SPOT`, `SWAP` ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5CopytradingUnrealizedProfitSharingDetailsGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5CopytradingUnrealizedProfitSharingDetailsGetResponsesContentApplicationJsonSchemaDataItems - `instType` (string, optional) — Instrument type - `ccy` (string, optional) — The currency of profit sharing. e.g. USDT - `unrealizedProfitSharingAmt` (string, optional) — Unrealized profit sharing amount. - `nickName` (string, optional) — Nickname of copy trader. - `portLink` (string, optional) — Portrait link - `ts` (string, optional) — Update time. ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "instType": "SWAP", "ccy": "USDT", "unrealizedProfitSharingAmt": "0.455472", "nickName": "Potato", "portLink": "", "ts": "1669901824779" }, { "instType": "SWAP", "ccy": "USDT", "unrealizedProfitSharingAmt": "0.033608", "nickName": "Apple", "portLink": "", "ts": "1669460210113" } ] } ``` **SDK Code** ```python copyTrading_getUnrealizedProfitSharingDetails_example import requests url = "https://www.okx.com/api/v5/copytrading/unrealized-profit-sharing-details" headers = {"OK-ACCESS-KEY": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript copyTrading_getUnrealizedProfitSharingDetails_example const url = 'https://www.okx.com/api/v5/copytrading/unrealized-profit-sharing-details'; const options = {method: 'GET', headers: {'OK-ACCESS-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go copyTrading_getUnrealizedProfitSharingDetails_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/copytrading/unrealized-profit-sharing-details" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("OK-ACCESS-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby copyTrading_getUnrealizedProfitSharingDetails_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/copytrading/unrealized-profit-sharing-details") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["OK-ACCESS-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java copyTrading_getUnrealizedProfitSharingDetails_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/copytrading/unrealized-profit-sharing-details") .header("OK-ACCESS-KEY", "") .asString(); ``` ```php copyTrading_getUnrealizedProfitSharingDetails_example request('GET', 'https://www.okx.com/api/v5/copytrading/unrealized-profit-sharing-details', [ 'headers' => [ 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp copyTrading_getUnrealizedProfitSharingDetails_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/copytrading/unrealized-profit-sharing-details"); var request = new RestRequest(Method.GET); request.AddHeader("OK-ACCESS-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift copyTrading_getUnrealizedProfitSharingDetails_example import Foundation let headers = ["OK-ACCESS-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/copytrading/unrealized-profit-sharing-details")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```